/**
 * Theme Name: SSWS Child
 * Description: SSWS Child theme
 * Theme URI: https://seatoskywebsolutions.ca/
 * Version: 3.0
 * Author: Sea to Sky Web Solutions Ltd.
 * Author URI: https://seatoskywebsolutions.ca/
 * Template: blocksy
 * Text Domain: sswschild
 */

/* SSWS 2023 Custom Styles */

/* SSWS 2023 Custom Styles */
/* variables */
:root {
    --box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
    --grey-medium: #848e96;
    --orange: #f15c28;
    --blue-medium: #1c5d77;
    --light-blue: #309cc5;
}

/* home page */
.home {
    background: url("/wp-content/uploads/2023/02/header-mountain-dog.svg") 0 4vh no-repeat;
    background-size: auto 45vh;
}

.home article {
    background-image: none !important;
}

/* hide logo on homepage */
.home .default-logo,
.home .sticky-logo {
    display: none !important;
}

.home .ct-header [data-row*="middle"] {
    background-color: transparent;
}

.home #header .ct-container {
    background-image: none;
}

.home #header [data-sticky*=fixed],
.home #header [data-sticky*=yes] {
    position: relative !important;
    top: 0;
}

.home #header [data-row] {
    background: transparent !important;
}

.home main {
    min-height: 100vh;
    position: relative;
    background: url("/wp-content/uploads/2023/02/ssws-hexagons-blue-superlight.svg") bottom right no-repeat;
    background-size: 45vw auto;
}

.home .home-logo {
    text-align: right;
}

.home .home-logo-text img {
    width: 80%;
    height: auto;
}

.home .slogan {
    margin-top: 1em;
}

.home .home-content {
    padding-top: 20vh;
}

.home-list {
    padding-top: 6vh;
}

.home-activity {
    color: white;
    display: flex;
    margin-top: 1rem !important;
    align-items: center;
    padding-left: 1rem;
    white-space: nowrap;
    position: relative;
    height: 4rem;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
    min-width: 26rem;
}

.home-activity:after {
    content: "";
    position: absolute;
    top: 0;
    width: 0;
    height: 0;
    right: -1rem;
    border: solid transparent;
    border-width: 2rem 0 2rem 1rem;
    filter: drop-shadow(2px 2px 1px rgba(0, 0, 0, 0.16));
}

.home-activity-1 {
    background-color: #6e98a8;
    width: 26rem !important;
}

.home-activity-1:after {
    border-color: transparent transparent transparent #6e98a8;
}

.home-activity-2 {
    background-color: #1d5e77;
    min-width: 27rem;
    width: 27rem !important;
}

.home-activity-2:after {
    border-color: transparent transparent transparent #1d5e77;
}

.home-activity-3 {
    background-color: #133c4c;
    min-width: 28rem;
    width: 28rem !important;
}

.home-activity-3:after {
    border-color: transparent transparent transparent #133c4c;
}

.home-activity:before {
    content: "";
    position: absolute;
    top: 0;
    width: 0;
    height: 0;
    left: -1rem;
    border: solid;
    border-width: 2rem 1rem 2rem 0;
}

.home-activity-1:before {
    border-color: transparent #6e98a8 transparent transparent;
}

.home-activity-2:before {
    border-color: transparent #1d5e77 transparent transparent;
}

.home-activity-3:before {
    border-color: transparent #133c4c transparent transparent;
}

/* 
  #header .ct-container {
  background: url("/wp-ontent/uploads/2023/02/SSWS_bar_single.svg") bottom right no-repeat;
    background-size: 85% auto;
  }
*/

#header {
    margin-bottom: 1rem;
}

/*Web prtfolio*/
.blog .entries {
    padding-bottom: 4rem;
}

.entry-meta {
    display: none;
}

/* custom elements*/
.ssws-panel-orange {
    box-shadow: var(--box-shadow);
    position: relative;
    padding-left: 2em !important;
    padding-top: 2em !important;
}

.ssws-panel-orange:after {
    content: "";
    position: absolute;
    bottom: -3em;
    width: 0;
    height: 0;
    right: 0;
    border: solid;
    border-width: 3rem 3rem 0 0;
    border-color: var(--grey-medium) transparent transparent transparent;
}

.wp-block-quote.ssws-quote {
    padding-inline-start: 10px !important;
}

.wp-block-quote.ssws-quote cite {
    font-size: 20px !important;
}

.ssws-quote:before {
    content: "”";
    position: absolute;
    top: 1.25rem;
    left: 0.75rem;
    font-size: 3em;
    line-height: 1;
}

.ssws-quote cite {
    margin-top: 0;
}

ul.ssws-list-orange {
    list-style: none;
    margin-left: 0;
    padding-left: 1em;
    text-indent: -1em;
}

.ssws-list-orange li {
    padding-left: 1em;
    text-indent: -1em;
}

.ssws-list-orange li:before {
    content: ">";
    font-weight: bold;
    padding-right: 1em;
    color: var(--orange);
}

/* cambiare con classi custom*/
.ssws-price-box {
    position: relative;
}

.ssws-price-box .wp-block-getwid-price-box__title {
    position: absolute;
    font-size: 1.2em;
    width: 90%;
    text-align: right;
    padding: 0.25em 1em;
    top: -1em;
    right: 0;
    background: var(--orange);
}

.ssws-price-box .wp-block-getwid-price-box__title:after {
    content: "";
    position: absolute;
    bottom: -1.5em;
    width: 0;
    height: 0;
    right: 0;
    border: solid;
    border-width: 1.8rem 1.8rem 0 0;
    border-color: var(--grey-medium) transparent transparent transparent;
}

.ssws-price-box .wp-block-getwid-price-box__features {
    margin-bottom: 0;
}

.wp-block-getwid-price-box__pricing {
    margin-bottom: 1em;
}

/* web portfolio */
.entry-card.category-web-portfolio {
    position: relative;
}

.entry-card.category-web-portfolio .entry-title {
    position: absolute;
    font-size: 1.6rem;
    width: 90%;
    text-align: right;
    padding: 0.25em 1em;
    top: -1em;
    left: 10%;
    height: 3rem;
    background: var(--blue-medium);
}

.entry-card.category-web-portfolio .entry-title:after {
    content: "";
    position: absolute;
    top: 0;
    width: 0;
    height: 0;
    left: -0.73rem;
    border: solid;
    border-width: 1.5rem 0.75rem 1.5rem 0rem;
    border-color: transparent var(--blue-medium) transparent transparent;
}

.entry-card.category-web-portfolio .ct-image-container {
    position: relative;
}

.entry-card.category-web-portfolio .ct-image-container img {
    object-position: left;
}

/* filter: grayscale(100%); da mettere sopra */

.entry-card.category-web-portfolio .ct-image-container:after {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 20;
    background: none;
}

/*   background: linear-gradient(
      180deg,
      rgba(132, 142, 150, 0) 0%,
      rgba(132, 142, 150, 0.6) 100%
    ); da mettere sopra */

.entry-card.category-web-portfolio .ct-image-container:hover img {
    filter: grayscale(100%);
}

.entry-card.category-web-portfolio .ct-image-container:hover:after {
    background: linear-gradient(180deg,
            rgba(48, 156, 197, 0) 0%,
            rgba(48, 156, 197, 0.6) 100%);
}

/* excerpt sotto con sfondo arancione e freccia
  .entry-card.category-web-portfolio .entry-excerpt{
  position: absolute!important;
      font-size: 1.1rem;
      width: 90%;
      text-align: left;
      padding: .25em 1em;
      bottom:-2.2rem;
      height:2.4rem;
      left: 0;
      background: var(--orange);
  }
  
  
  .entry-card.category-web-portfolio .entry-excerpt:after{
      content: "";
      position: absolute;
      top: 0;
      width: 0;
      height: 0;
      right: -.75rem;
      border:solid;
        border-width: 1.25rem 0rem 1.2rem .75rem;    
      border-color:   transparent red    transparent var(--orange);
  }
*/

.entry-card.category-web-portfolio .entry-excerpt {
    position: absolute !important;
    font-size: 0.9rem;
    font-family: monospace;
    width: 30;
    text-align: left;
    top: 103%;
    left: 0;
}

.entry-card.category-web-portfolio .meta-date {
    position: absolute !important;
    font-size: 0.9rem;
    font-family: monospace;
    width: 30;
    text-align: left;
    top: 0%;
    left: 0;
    color: var(--orange);
    font-weight: bold;
}

.entry-card.category-web-portfolio .entry-meta {
    display: block;
    padding: 0;
    position: absolute !important;
    top: 103%;
    right: 0;
    width: 100%;
    text-align: right;
    font-size: 0.8rem;
    font-family: monospace;
    font-weight: normal;
}

.entry-card.category-web-portfolio .entry-meta a {
    color: var(--blue-medium) !important;
}

.entry-card.category-web-portfolio .entry-meta a:first-child:before {
    content: "❮ ";
    font-size: 1rem;
    font-weight: bold;
    color: var(--light-blue);
}

.entry-card.category-web-portfolio .entry-meta a:last-child:after {
    content: " ❯";
    font-size: 1rem;
    font-weight: bold;
    color: var(--light-blue);
}

.entry-card.category-web-portfolio .ct-button {
    display: none;
}

.entry-card.category-web-portfolio .entry-excerpt {
    display: none;
}

/* single web portfolio */
.single-post #main {
    background: url("/wp-content/uploads/2023/02/page_background_mountains.svg") repeat,
        url("/wp-content/uploads/2023/03/ssws_mountains_patterns_v05_light_blue-single.svg") repeat 5rem 5rem;
    background-size: 10rem auto;
}

/* mountains
  .page-id-2060{
    background: url("/wp-content/uploads/2023/02/page_background_mountains.svg") repeat,
      url("/wp-content/uploads/2023/03/ssws_mountains_patterns_v05_light_blue-single.svg") repeat 5rem 5rem;
    background-size: 10rem auto;
  }
  
  .page-id-2060{
    background: url("/wp-content/uploads/2023/02/ssws-sidebar-mountains-light-blue-vertical.svg") no-repeat;
      background-position: -110px 110px;
    background-size: 30% auto;
  }
*/

.page-id-2060 {
    background: url("/wp-content/uploads/2023/02/ssws-hexagons-blue-transparent.svg") repeat;
    background-position: -110px 110px;
    background-size: 30% auto;
}

.page-id-2060 article {
    padding-top: 0;
}

.ssws-contact-form {
    background: white;
}

@media (max-width: 1025px) {
    .home {
        background-position: top 0 left 0;
        background-size: 100% auto;

    }

    .home .home-content {
        flex-direction: column-reverse;
        padding-top: 10vh;
    }

    .home main {
        min-height: 0;
        background: none;
        background-image: linear-gradient(to top, #6e98a8, #97afc0, transparent, transparent, transparent);
    }

    .home article {
        width: 100%;
        margin: 0;
    }

    .home .home-logo {
        text-align: center;
    }

    .home .slogan {
        margin-top: 1em;
        text-align: center;
        font-size: 1.4rem !important;
    }

    .home .home-list {
        padding-top: 1em;
        display: flex;
        flex-direction: column;
        background: url("/wp-content/uploads/2023/02/ssws-hexagons-blue-superlight.svg") top right no-repeat;
        background-size: auto 6rem;
    }

    .home .home-activity {
        min-width: 0;
        white-space: break-word;
        max-width: 30%;
        height: 8rem;
        text-align: center;
        padding: 0;
    }

    .home .home-activity strong {
        white-space: break-spaces;
        font-size: 1rem;
    }

    .wp-block-group.wp-container-1 .home-activity-1 {
        width: auto !important;
        margin-left: 10% !important;
    }

    .wp-block-group.wp-container-1 .home-activity-2 {
        width: auto !important;
        margin-top: -3rem !important;
        margin-left: 60% !important;
    }

    .wp-block-group.wp-container-1 .home-activity-3 {
        margin-top: -3rem !important;
        margin-left: 10% !important;
    }

    .home-activity:after {
        right: -1.98rem;
        border-width: 4rem 0 4rem 2rem;
    }

    .home-activity:before {
        content: "";
        position: absolute;
        top: 0;
        width: 0;
        height: 0;
        left: -1.98rem;
        border: solid;
        border-width: 4rem 2rem 4rem 0;
    }

    .home-activity-1:before {
        border-color: transparent #6e98a8 transparent transparent;
    }

    .home-activity-2:before {
        border-color: transparent #1d5e77 transparent transparent;
    }

    .home-activity-3:before {
        border-color: transparent #133c4c transparent transparent;
    }

    .ssws-panel-orange {
        margin-bottom: 3em !important;
    }

    .entry-card.category-web-portfolio .entry-title {
        display: flex;
        align-items: center;
        justify-content: flex-end;
        font-size: 20px !important
    }

    .entry-card.category-web-portfolio .meta-date {
        max-width: 30%
    }

    .entry-card.category-web-portfolio .meta-categories {
        max-width: 70%;
    }

    .ssws-price-box .wp-block-getwid-price-box__title {
        font-size: 1.1em;
        white-space: nowrap;
    }

    .ssws-price-box .wp-block-getwid-price-box__title:after {
        bottom: -1.5em;
    }
}